<?php
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'rsd_link');


add_theme_support('menus');
add_theme_support('automatic-feed-links');
add_theme_support('post-thumbnails');
register_nav_menu('', '');


if ( ! isset( $content_width ) )
	$content_width = 620;


if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<section class="%2$s">',
        'after_widget' => '</div></section>

				',
        'before_title' => '<h3>',
        'after_title' => '</h3><div class="inner">',
    ));


function my_fields($fields) {
	$commenter = wp_get_current_commenter();
	$fields['author'] = '<p class="comment-form-author"><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /> <label for="author">' . __( 'Name' ) . '</label> <span class="required">*</span></p>';
	$fields['email'] = '<p class="comment-form-email"><input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /> <label for="email">' . __( 'Email' ) . '</label> <span class="required">*</span></p>';
	$fields['url'] = '<p class="comment-form-url"><input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /> <label for="url">' . __( 'Website' ) . '</label></p>';
	return $fields;
}
add_filter('comment_form_default_fields','my_fields');


/* Альтернатива wp_pagenavi (без лишних обращений к данным)
------------------------------------------------------- */
function kama_pagenavi($before='', $after='', $echo=true) {
	/* ================ Настройки ================ */
	$text_num_page = ''; //Текст перед навигацией. {current} заменится текущей, а {last} последней страницами. Пример: 'Страница {current} из {last}' = Страница 4 из 60
	$num_pages = 11; //сколько ссылок показывать
	$stepLink = ''; //после навигации ссылки с определенным шагом (значение = число (какой шаг) или '', если не нужно показывать). Пример: 1,2,3...10,20,30
	$dotright_text = '...'; //промежуточный текст "до".
	$dotright_text2 = '...'; //промежуточный текст "после".
	$first_page_text = ''; //текст "к первой странице" или ставим '', если вместо текста нужно показать номер страницы.
	$last_page_text = ''; //текст "к последней странице" или пишем '', если вместо текста нужно показать номер страницы.
	/* ================ Конец Настроек ================ */

	global $wp_query;
	$posts_per_page = (int) $wp_query->query_vars[posts_per_page];
	$paged = (int) $wp_query->query_vars[paged];
	$max_page = $wp_query->max_num_pages;

	if($max_page <= 1 ) return false; //проверка на надобность в навигации

	if(empty($paged) || $paged == 0) $paged = 1;

	$pages_to_show = intval($num_pages);
	$pages_to_show_minus_1 = $pages_to_show-1;

	$half_page_start = floor($pages_to_show_minus_1/2); //сколько ссылок до текущей страницы
	$half_page_end = ceil($pages_to_show_minus_1/2); //сколько ссылок после текущей страницы

	$start_page = $paged - $half_page_start; //первая страница
	$end_page = $paged + $half_page_end; //последняя страница (условно)

	if($start_page <= 0) $start_page = 1;
	if(($end_page - $start_page) != $pages_to_show_minus_1) $end_page = $start_page + $pages_to_show_minus_1;
	if($end_page > $max_page) {
		$start_page = $max_page - $pages_to_show_minus_1;
		$end_page = $max_page;
	}

	if($start_page <= 0) $start_page = 1;

	$out='';//выводим навигацию
		$out.= $before.'<div class="navigation">'."\n";

				if ($text_num_page){
					$text_num_page = preg_replace ('!\{current\}|\{last\}!','%s',$text_num_page);
					$out.= sprintf ('<span class="pages">'.$text_num_page.'</span>',$paged,$max_page);
				}

				if ($start_page >= 2 && $pages_to_show < $max_page) {
					$out.= '<a href="'.get_pagenum_link($paged-1).'" class="prev" title="Previous">&laquo;</a>';
					$out.= '<a href="'.get_pagenum_link().'">'. ($first_page_text?$first_page_text:1) .'</a>';
					if($dotright_text) $out.= '<span class="extend">'.$dotright_text.'</span>';
				}

				for($i = $start_page; $i <= $end_page; $i++) {
					if($i == $paged) {
						$out.= '<span class="current">'.$i.'</span>';
					} else {
						$out.= '<a href="'.get_pagenum_link($i).'">'.$i.'</a>';
					}
				}

				if ($stepLink && $end_page < $max_page){ //ссылки с шагом
					for($i=$end_page+1; $i<=$max_page; $i++) {
						if($i % $stepLink == 0 && $i!==$num_pages) {
							if (++$dd == 1) $out.= '<span class="extend">'.$dotright_text2.'</span>';
							$out.= '<a href="'.get_pagenum_link($i).'">'.$i.'</a>';
						}
					}
				}

				if ($end_page < $max_page) {
					if($dotright_text) $out.= '<span class="extend">'.$dotright_text2.'</span>';
					$out.= '<a href="'.get_pagenum_link($max_page).'">'. ($last_page_text?$last_page_text:$max_page) .'</a>';
					$out.= '<a href="'.get_pagenum_link($paged+1).'" class="next" title="Next">&raquo;</a>';
				}

		$out.= "</div>".$after."\n";
	if ($echo) echo $out;
	else return $out;
} // end kama_pagenavi()


function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
<li id="comment-<?php comment_ID() ?>">
	<div id="div-comment-<?php comment_ID(); ?>" <?php comment_class(); ?>>

		<div class="comment-author vcard">
			<?php echo get_avatar($comment, $size='40', $default=''); ?>
			<?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?>
		</div>

		<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>

		<?php if ($comment->comment_approved == '0') : ?>
			<p><em><?php _e('Your comment is awaiting moderation.') ?></em></p>
		<?php endif; ?>
		<?php comment_text() ?>

<?php if (comments_open() AND (get_option('thread_comments') == 1) AND ($depth != $args['max_depth'])) { ?>
		<div class="reply">
			<?php comment_reply_link(array_merge( $args, array('add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
		</div>
<?php } ?>
	</div>
<?php
}

?>